Package io.vertx.oracleclient

## Enum ServerMode

- java.lang.Object
- - java.lang.Enum<ServerMode>
  - - io.vertx.oracleclient.ServerMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<ServerMode>`

      public enum ServerMode
      extends Enum<ServerMode>

  Describes the server connection mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEDICATED` |
    `SHARED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServerMode` | `of​(String mode)` |
    `String` | `toString()` |
    `static ServerMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ServerMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEDICATED

          public static final ServerMode DEDICATED

    - #### SHARED

          public static final ServerMode SHARED

  - ### Method Detail

    - #### values

          public static ServerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerMode c : ServerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static ServerMode of​(String mode)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ServerMode>`